org.bouncycastle.bcpg.sig

## Class NotationData

- java.lang.Object
- - org.bouncycastle.bcpg.SignatureSubpacket
  - - org.bouncycastle.bcpg.sig.NotationData

    public class NotationData
    extends SignatureSubpacket

Class provided a NotationData object according to RFC2440, Chapter 5.2.3.15. Notation Data

### Field Summary

Fields
`static int` `HEADER_FLAG_LENGTH`
`static int` `HEADER_NAME_LENGTH`
`static int` `HEADER_VALUE_LENGTH`

### Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`data`

### Constructor Summary

Constructors
Constructor and Description
`NotationData(boolean critical, boolean humanReadable, java.lang.String notationName, java.lang.String notationValue)`
`NotationData(boolean critical, byte[] data)`

### Method Summary

Methods
`java.lang.String` `getNotationName()`
`java.lang.String` `getNotationValue()`
`byte[]` `getNotationValueBytes()`
`boolean` `isHumanReadable()`

### Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`encode, getData, getType, isCritical`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HEADER_FLAG_LENGTH

    public static final int HEADER_FLAG_LENGTH

See Also:
  Constant Field Values

#### HEADER_NAME_LENGTH

    public static final int HEADER_NAME_LENGTH

See Also:
  Constant Field Values

#### HEADER_VALUE_LENGTH

    public static final int HEADER_VALUE_LENGTH

See Also:
  Constant Field Values

### Constructor Detail

#### NotationData

    public NotationData(boolean critical,
                byte[] data)

#### NotationData

    public NotationData(boolean critical,
                boolean humanReadable,
                java.lang.String notationName,
                java.lang.String notationValue)

### Method Detail

#### isHumanReadable

    public boolean isHumanReadable()

#### getNotationName

    public java.lang.String getNotationName()

#### getNotationValue

    public java.lang.String getNotationValue()

#### getNotationValueBytes

    public byte[] getNotationValueBytes()